Copyright: Unregistered evaluation copy of HELLLP!


Table of Contents
oxButton for Delphi HelpyesyesOXButton for Delphi HelpOXBTNS.O__002OXBTNSOXBTNS.O__002 3OXBTNSyesyesyesyesOXBtnsyesyesTRUEnononononoyesOXBTNSyesyesyesTable of Contents

TOXButton

ToxToggle

ToxRepeat

OXControls

ToxButton_Prop

oxBtns Unit

ToxButton_event

ToxButton_methods

FocusStyle Property

Font3D Property

MultiLine Property

PictureDown Property

PictureUp Property

PictureX, PictureY Property

TextX, TextY Property

ShadowColor Property

TextAngle Property

TransparentColor Property

Style Property

TFocusStyle Type

TFontStyle Type

ToxBtnStyle Type

TAngleRange Type

ToxToggle_Prop

ToxToggle_events

ToxRepeat_Props

ToxToggle_methods

Delay Property

Value Property

DitherDown Property

Group Property

GroupAllowNoSel Property

Toggle Method

Interactive Objects

Control Wiz

Registration

Order Form


OXControls
ObjectEXtensionControls

Opaque Software ©	oxButton ver. 1.0 for Delphi

ToxButton	Command Button

ToxRepeat	Repeat Button

ToxToggle	Toggle Button

New Features	Interactive Objects

Control Wiz

Order Form


oxBtns Unit

The oxBtns unit contains the declarations for oxButton, oxToggle, oxRepeat and for the enumerated type associated with them.When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit.The following items are declared in the oxBtns unit:

Components

ToxButton

ToxRepeat

ToxToggle

Types

TAngleRange

TFocusStyle

TFontStyle

ToxBtnStyle


Interactive Objects

Description

oxButton features the 1st DELPHI component with Interactive Objects during design-time.

Users can Right Click and drag a picture or caption to a new location on oxButton. Quick placement of objects bypasses the slower method of accessing and setting properties.

Remarks

Upon right clicking on the caption or picture the user may drag the object to a new location on oxButton. The user will see a small grid on the button for justifying the image or caption in the proper location. (The object may appear to jump as the mouse is dragged through the different zones, this is as designed).


Control Wiz

Description

Automates the visual design of the control. Right click on a blank area of any oxButton.

Remarks

No more wading through property list after property list. Allows you to change many properties at once and select from hundreds of predefined pictures.


ToxButton
  ToxButton component

Properties	Methods	Events

Unit

oxBtns

Description

A ToxButton component is a push button control that can include a bitmap on its button face. You can choose from predefined bitmap buttons styles or specify your own bitmap or icon for the button.

You can have a ToxButton close a modal form without writing an event handler that includes code specifically to close the form. Set the button's ModalResult property to a value other than 0.

You can select from several predefined bitmaps or icons. Specify the kind of ToxButton you want with the Kind property. To create a customized ToxButton, use the PictureUp and PictureDown property to specify the bitmap or icon you want to appear on the button. Use the PictureX, PictureY, TextX and TextY properties to arrange the caption and picture on the button. You can use different images to represent the different states of the bitmap button. For example, you can use one image when the button is unselected (PictureUp) and another when it is selected (PictureDown).

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to all windowed controls.


ToxButton_Prop
Properties

Runtime only	Key Properties

Align	Hint	ShadowColor
BoundsRect	Kind	ShowHint
Cancel	Left	Showing
Caption	ModalResult	Style
Color	MultiLine	TabOrder
ComponentIndex	Name	TabStop
Cursor	Owner	Tag
Default	Parent	TextAngle
DragCursor	ParentColor	TextX
DragMode	ParentFont	TextY
Enabled	ParentShowHint	Top
FocusStyle	PictureDown	TransparentColor
Font	PictureUp	Visible
Font3D	PictureX	Width
Height	PictureY
HelpContext	PopupMenu


ToxButton_methods
Methods

 Key Events

BeginDrag	Focused	ScrollBy
BringToFront	GetTextBuf	SendToBack
CanFocus	GetTextLen	SetBounds
Click	Hide	SetFocus
ClientDrag	Refresh	SetTextBuf
ClientToScreen	Repaint	Show
Dragging	ScaleBy	Update
EndDrag	ScreenToClient


ToxButton_event
Events

 Key Events

OnClick	OnEnter	OnKeyUp
OnDragDrop	OnExit	OnMouseDown
OnDragOver	OnKeyDown	OnMouseMove
OnEndDrag	OnKeyPress	OnMouseUp


ToxRepeat
  ToxRepeat Component

Properties	Methods	Events

Unit

oxBtns

Description

A ToxRepeat component is a repeating push button control that can include a bitmap on its button face. You can choose from predefined bitmap buttons styles or specify your own bitmap or icon for the button.

ToxRepeat will continue to send Click events as long as the button is held down at a rate determined by the Delay property.

You can select from several predefined bitmaps or icons. Specify the kind of ToxRepeat you want with the Kind property. To create a customized ToxRepeat, use the PictureUp and PictureDown property to specify the bitmap or icon you want to appear on the button. Use the PictureX, PictureY, TextX and TextY properties to arrange the caption and picture on the button. You can use different images to represent the different states of the bitmap button. For example, you can use one image when the button is unselected (PictureUp) and another when it is selected (PictureDown).

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to all windowed controls.


ToxRepeat_Props
Properties

Runtime only	Key Properties

Align	HelpContext	PopupMenu
BoundsRect	Hint	ShadowColor
Cancel	Kind	ShowHint
Caption	Left	Showing
Color	ModalResult	Style
ComponentIndex	MultiLine	TabOrder
Cursor	Name	TabStop
Default	Owner	Tag
Delay	Parent	TextAngle
DragCursor	ParentColor	TextX
DragMode	ParentFont	TextY
Enabled	ParentShowHint	Top
FocusStyle	PictureDown	TransparentColor
Font	PictureUp	Visible
Font3D	PictureX	Width
Height	PictureY


ToxToggle
  ToxToggle Component

Properties	Methods	Events

Unit

oxBtns

Description

A ToxToggle component is a toggle or state button control that can include a bitmap on its button face. You can choose from predefined bitmap buttons styles or specify your own bitmap or icon for the button.

You can select from several predefined bitmaps or icons. Specify the kind of ToxToggle you want with the Kind property. To create a customized ToxToggle, use the PictureUp and PictureDown property to specify the bitmap or icon you want to appear on the button. Use the PictureX, PictureY, TextX and TextY properties to arrange the caption and picture on the button. You can use different images to represent the different states of the bitmap button. For example, you can use one image when the button is unselected (PictureUp) and another when it is selected (PictureDown).

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to all windowed controls.


ToxToggle_Prop
Properties

Runtime only	Key Properties

Align	Height	PopupMenu
BoundsRect	HelpContext	ShadowColor
Cancel	Hint	ShowHint
Caption	Kind	Showing
Color	Left	Style
ComponentIndex	ModalResult	TabOrder
Cursor	MultiLine	TabStop
Default	Name	Tag
DitherDown	Owner	TextAngle
DragCursor	Parent	TextX
DragMode	ParentColor	TextY
Enabled	ParentFont	Top
FocusStyle	ParentShowHint	TransparentColor
Font	PictureDown	Value
Font3D	PictureUp	Visible
GroupAllowNoSel	PictureX	Width
Group	PictureY


ToxToggle_methods
Methods

 Key Methods

BeginDrag	Focused	ScrollBy
BringToFront	GetTextBuf	SendToBack
CanFocus	GetTextLen	SetBounds
Click	Hide	SetFocus
ClientDrag	Refresh	SetTextBuf
ClientToScreen	Repaint	Show
Dragging	ScaleBy	Toggle
EndDrag	ScreenToClient	Update


ToxToggle_events
Events

 Key Events

OnChange	OnEnter	OnMouseDown
OnClick	OnExit	OnMouseMove
OnDragDrop	OnKeyDown	OnMouseUp
OnDragOver	OnKeyPress
OnEndDrag	OnKeyUp


Delay Property

Applies to

ToxRepeat components

Declaration

property Delay: Integer

Description

Sets the time delay in milliseconds between Click events when the ToxRepeat button is held down.


DitherDown Property

Applies to

ToxToggle components

Declaration

property DitherDown: Boolean;

Description

If DitherDown is true the background color of the button will be painted with a dithered effect.


FocusStyle Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property FocusStyle: TFocusStyles;

Description

These are the possible values that can be included in the FocusStyle set for button controls.

Value	Meaning

fsDefault	When true the button will display a thick black border when its the default button.

fsText 	When true and the button has the focus, an outline will appear around the buttons text.

fsOutline	When true and the button has the focus, an outline will appear around the inside of the buttons border.

fsBoldFont 	When true and the button has the focus, the buttons text will be automatically made bold.


Font3D Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property Font3D: TFontStyle

Description

These are the possible values that can be included in the Font3D for button controls.

Value	Meaning

fsNone	The text of the button is invisible.

fsNormal	The text of the button is shown normal.

fsRaised	The text of the button appears raised.

fsInset	The text of the button appears inset.


Group Property

Applies to

ToxToggle components

Declaration

property Group: Integer;

Description

The Group property determines which speed buttons work together as a group.

Speed buttons with the same Group property value work together as a group. When the user clicks one of these speed buttons, it remains "pressed," or in its down state, until the user clicks another speed button belonging to the same group. Speed buttons used in this way can present mutually exclusive choices to the user.


GroupAllowNoSel Property

Applies to

ToxToggle components

Declaration

property GroupAllowNoSel: Boolean;

Description

When true allows no button in the Group to be selected (All buttons can be up). Normally when GroupAllowNoSel is FALSE, one toggle button will be selected. This property applies to the entire group. GroupAllowNoSel should be TRUE when only one toggle button is used.


MultiLine Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property MultiLine: Boolean;

Description

The MultiLine property enables the button's text to take up more than on line if set to True. This property has no effect if TextAngle <> 0;


PictureDown Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property PictureDown: TPicture

Description

Specifies a bitmap or an icon to display on the command button when the button has been pressed and is down. If this property is (none) then the PictureUp property is used to draw the pressed control.


PictureUp Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property PictureUp: TPicture

Description

Specifies a bitmap or an icon to display on the command button when the button has not been pressed and is up.


PictureX, PictureY Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property PictureX: Integer;

property PictureY: Integer;

Description

Sets or returns the pictures horizontal or vertical location in pixels inside the button control.

Value	Meaning

>= 1	pixels from the left or top

= 0	Centered.

<= -1	pixels from the right or bottom

To align the picture on the left or top edge use a positive number, to align it from the right or bottom use a negative number or to center it use zero.


ShadowColor Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property ShadowColor: TColor

Description

Determines the color of the drop shadow below the button's picture. If the ShadowColor property is the same value of the Colorproperty no shadow will be shown.


Style Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property Style: ToxBtnStyle

Description

These are the possible values for the Style property for button controls.

Value	Meaning

bsAuto	The button takes on the appearance of either Windows 3.1 buttons or Windows 95 buttons, depending on which the application is running under.

bsWin31	Uses the Windows 3.1 look.

bsWin95	Uses the Windows 95 look.

bsInset	Uses an inset look.


TextAngle Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property TextAngle: TAngleRange;

Description

To rotate the text use a number between 1 and 360. 0 = no rotation. Rotated text requires a TrueType font. Make sure a TrueType font is selected using the FontName property. Best results are obtained by using larger font sizes.


TextX, TextY Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property TextX: Integer;

property TextY: Integer;

Description

Sets or returns the text's horizontal or vertical location in pixels inside the button control.

Value	Meaning

>= 1	pixels from the left or top

= 0	Centered.

<= -1	pixels from the right or bottom

To align the text on the left or top edge use a positive number, to align it from the right or bottom use a negative number or to center it use zero.


TransparentColor Property

Applies to

ToxButton, ToxToggle, or ToxRepeat components

Declaration

property TransparentColor: TColor

Description

Determines what color of the button's picture to use as the transparent color. This property is set automatically at design time to the lower-left pixel of the PictureUp property.


Value Property

Applies to

ToxToggle components

Declaration

property Value: Boolean;

Description

Determines if the button is up or down.

Value	Meaning

False	Button is up

True	Button is down


Toggle Method

Applies to

ToxToggle components

Declaration

procedure Toggle;

Description

Changes the state and Value of the button.


TFocusStyle Type

Unit

oxBtns

Declaration

TFocusStyles = (fsDefault, fsText, fsOutline, fsBoldFont);

TFocusStyle = set of TFocusStyles;

Description

TFocusStyle is the set of values the FocusStyle property of a ToxButton, ToxToggle, or ToxRepeatcan have.


TFontStyle Type

Unit

oxBtns

Declaration

TFontStyles = (fsNone, fsNormal, fsRaised, fsInset);

Description

TFontStyles is the possible values the Font3D property of a ToxButton, ToxToggle, or ToxRepeatcan have.


ToxBtnStyle Type

Unit

oxBtns

Declaration

ToxBtnStyle = (bsAuto, bsWin31, bsWin95, bsInset);

Description

ToxBtnStyle is the possible values the style property of a ToxButton, ToxToggle, or ToxRepeatcan have.


TAngleRange Type

Unit

oxBtns

Declaration

TAngleRange = 0..360;

Description

TAngleRange defines the range of the TextAngle property.


Registration

OXButton  © is written by Brett Liddicoet

Copyright © 1991-1995

Opaque Software ©

P.O. Box 2483.

Napa, CA 94558

CIS  GO OPAQUE

(707) 253-9466

oxButton for DELPHI ver 1.0 has been written using Borland Delphi. I welcome all comments, suggestions and problems with OXButton. Feel free to contact me via US mail or CompuServe E-MAIL. Registered users will be given priority. Thanks for using oxButton.

 REGISTRATION COSTS

19 Dollars U.S.

 SOFTWARE LICENSE

 OXButton is not and has never been public domain software, nor is it free software.

 Non-licensed users are granted a limited license to use OXButton on a 30-day trial basis for the purpose of determining whether OXButton is suitable for their needs.  The use of OXButton, except for the initial 30-day trial, requires registration.  The use of unlicensed copies of OXButton by any person, business, corporation, government agency or any other entity is strictly prohibited.

 A single user license permits a user to use OXButton only on a single computer.  Licensed users may use the program on different computers, but may not use the program on more than one computer at the same time. Licensed users may also distribute applications compiled with oxButton.

 No one may modify or patch the OXButton executable files in any way,  including but not limited to decompiling, disassembling, or otherwise reverse engineering the program.

 A limited license is granted to copy and distribute OXButton only for the trial use of others, subject to the above limitations, and also the following:

  1)    OXButton must be copied in unmodified form, complete with the file containing this license information and only the following OXButton files: OXBTNS.DCU, OXBTNS.DCR, OXBTNS.HLP, ORDER.WRI and README.TXT. You may NOT distribute the OXButton registration ID, control numbers, OXBTNS.LIC or that portion of the WIN.INI file created by OXButton.

  2)    The full machine-readable OXButton documentation must be included with each copy.

  3)    No fee, charge, or other compensation may be requested or accepted, except as

authorized below:

        A) Operators of electronic bulletin board systems (sysops) may make OXButton available for downloading only as long as the above conditions are met.  An overall or time-dependent charge for the use of the bulletin board system is permitted as long as there is not a specific charge for the download of OXButton.

        B) Vendors of user-supported or shareware software may distribute OXButton, subject to the above conditions, without specific permission. Vendors may charge a disk duplication and handling fee, which, when pro-rated to the OXButton product, may not exceed five dollars.

        C) Non-profit user groups may distribute OXButton, subject to the above conditions, without specific permission. Non-profit user groups may charge a disk duplication fee, which, when pro-rated to the OXButton product, may not exceed five dollars.

  LIMITED WARRANTY

EXCEPT AS PROVIDED ABOVE, OPAQUE SOFTWARE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE PRODUCT.  SHOULD THE PROGRAM PROVE DEFECTIVE, THE   PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES.  IN NO EVENT WILL OPAQUE SOFTWARE BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF OPAQUE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  Use of this product for any period of time constitutes your acceptance of this agreement and subjects you to its contents.

  U.S. GOVERNMENT RESTRICTED RIGHTS

  Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause at 252.227-7013.  Contractor/manufacturer is Opaque Software.


Order Form
	Print
  Opaque Software Order Form

Please return this form and your remittance to:

Opaque Software

Brett Liddicoet

PO Box 2483

Napa, CA 94558

Fax(707) 253-9466

Ship to:

Name: 	________________________________

Company:	________________________________

Address:	________________________________

________________________________

Phone (Day)	________________________________

Phone (Night)	________________________________

Phone (Fax)	________________________________

CIS# or AOL	________________________________

Please send me:

Visual Basic

_____ Copies of OXButton (VBX) @ $19	$ ___________

_____ Copies of OXDisplay (VBX) @ $15	$ ___________

_____ Copies of 3d-VB Input (VBX) @ $15	$ ___________

DELPHI

_____ Copies of OXButton for Delphi @ $19	$ ___________

_____ Copies of OXDockBar for Delphi @ $19	$ ___________

Misc

_____ Copies of Multi-Media WinJack @ $19	$ ___________

Overseas shipping add @ $5 each	$ ___________

Canada and Mexico shipping add @ $2 each	$ ___________

Total	$ ___________

Payment may be by check or money order.

(US Funds drawn on US Bank)

Payment may also be made via CompuServe, GO SWREG.


	Unregistered Message

This Help file was produced by an unregistered demonstration copy of the HELLLP! file authoring system.

HELLLP! is a user-friendly system to aid in the production of Windows help files. It requires Microsoft Word for Windows version 2.0 or higher.

HELLLP! is available as shareware from the Microsoft Word for Windows forum (GO WINWORD) and the Windows Software Developers Kit Forum (GO WINSDK) on Compuserve as the file HELLLP.EXE.  The author and copyright owner may be contacted at Compuserve ID 71750,1036.

HELLLP! is available as shareware via the Internet from any FTP site which carries the SimTel collection, as HELLLPnn.ZIP where nn is the version number.

HELLLP! is available as shareware from many major bulletin boards and on many CD-ROM collections.

To assist in finding HELLLP!, we suggest that you do a partial file name search for HELLLP.


 About Shareware:

Shareware is copyrighted software that is distributed by authors through bulletin boards, on-line services and disk vendors.

Shareware allows you to try the software for a reasonable limited period.  If you decide not to continue using it, you throw it away and forget about it. You only pay for it if you continue to use it. Shareware is a distribution method, not a type of software. You benefit because you get to use the software to determine whether it meets your needs, before you pay for it.

The shareware system and the continued availability of quality shareware products depend on your willingness to register and pay for the shareware you use. It's the registration fees you pay which allow authors to support and continue to develop our products. Please show your support for shareware by registering those programs you actually use.